This commit is contained in:
Kroese 2023-05-03 19:37:17 +02:00 committed by GitHub
parent 0d3b93908a
commit a16cc55ded

View File

@ -15,8 +15,7 @@ echo "Starting Virtual DSM for Docker v${VERSION}..."
STORAGE="/storage" STORAGE="/storage"
KERNEL=$(uname -r | cut -b 1) KERNEL=$(uname -r | cut -b 1)
trap 'echo >&2 "Error - exited with status $? at line $LINENO:"; trap 'echo >&2 "Error status $? for: ${BASH_COMMAND} (line $LINENO/$BASH_LINENO)"' ERR
pr -tn $0 | tail -n+$((LINENO - 3)) | head -n7 >&2' ERR
[ ! -d "$STORAGE" ] && echo "Storage folder (${STORAGE}) not found!" && exit 69 [ ! -d "$STORAGE" ] && echo "Storage folder (${STORAGE}) not found!" && exit 69
[ ! -f "/run/run.sh" ] && echo "Script must run inside Docker container!" && exit 60 [ ! -f "/run/run.sh" ] && echo "Script must run inside Docker container!" && exit 60